Subject: Re: [patch 1/4] forcedeth: fix MAC address detection on network card (regression in 2.6.23)

From: Jeff Garzik <[email-masked]>
Date: Fri, 09 Jan 2009 17:04:47 -0500

Andrew Morton wrote:
> On Fri, 09 Jan 2009 16:23:38 -0500
> Jeff Garzik <[email-masked]> wrote:
> 
>>> On Tue, 05 Feb 2008 13:20:59 -0500 Jeff Garzik <[email-masked]> wrote:
>>>> NAK - this fixes one set of users, and breaks a working set of users.
>>>>
>>>> Need to add DMI check for the specific motherboard (dmi_check_system), 
>>>> and flip flag according to success/failure of that check.
>>> Signed-off-by: Andrew Morton <[email-masked]>
>> I'll just highlight this quoted bit for David...
>>
>> I've already posted a dmi_check_system() solution too
> 
> What is the status of that?  Where is it?

You were CC'd on it each time...  Here's a copy from the archives:

http://www.mail-archive.com/[email-masked]/msg61096.html

>> -- you just need 
>> to fill in the motherboard details to fix the regression while keeping 
>> others' systems working.
> 
> Can you please tell Michael what info is needed to wrap this up?  And
> how he is to obtain it?

I think he posted dmidecode output.

I also think he said a BIOS update fixed the problem, at least according 
to the mail thread.

	Jeff